const merge = require('webpack-merge');
const baseConfig = require('./base.config.js');
const webpack = require('webpack');

module.exports = merge(baseConfig, {
    devtool: 'source-map',
    mode: 'development',
    plugins: [
        new webpack.DefinePlugin({
            DASHBOARD_URL: JSON.stringify('http://localhost'),
            WEBSITE_URL: JSON.stringify('http://localhost:5005'),
            SESSION_URL: JSON.stringify('http://localhost:5006'),
            MODEL_URL: JSON.stringify('http://localhost:5007'),
            CONSTRAINT_URL: JSON.stringify('http://localhost:5010'),

            'process.env': {
                NODE_ENV: JSON.stringify('debug')
            }
        })
    ]
});